Closed Bug 1340974 Opened 6 years ago Closed 5 years ago

Intermittent TEST-UNEXPECTED-OK | /workers/data-url.html | expected ERROR

Categories

(Core :: DOM: Service Workers, defect)

defect
Not set
normal

Tracking

()

RESOLVED FIXED
mozilla57
Tracking Status
firefox56 --- fixed
firefox57 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: allstars.chh)

References

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell fixed:DOM])

Attachments

(1 file)

Priority: -- → P5
Hi Yoshi,
I know you've been working on data uri so wondering if this is something you could help or you know who could ask for help.
This is a frequent failure, and we are looking for a solution for this. Understanding the impact of disabling this test temporarily is also useful. Thanks!
Flags: needinfo?(allstars.chh)
Assignee: nobody → allstars.chh
Blocks: 1324406
Flags: needinfo?(allstars.chh)
From linux64 https://public-artifacts.taskcluster.net/bvvWpQMNSCapOAYFsA8M2w/0/public/logs/live_backing.log and macox64-stylo https://public-artifacts.taskcluster.net/WiXwRkdkRk6AJzE83vKOow/0/public/logs/live_backing.log

I can see there are some warning from worker when running this test.

[task 2017-07-17T19:25:49.667366Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: A runnable was posted to a worker that is already shutting down!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2840
[task 2017-07-17T19:25:49.668653Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: Failed to dispatch offline status change event!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 3530
[task 2017-07-17T19:25:49.671012Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: A runnable was posted to a worker that is already shutting down!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2840
[task 2017-07-17T19:25:49.671897Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: Failed to dispatch offline status change event!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 3530
[task 2017-07-17T19:25:49.672722Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: A runnable was posted to a worker that is already shutting down!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2840
[task 2017-07-17T19:25:49.673515Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: Failed to dispatch offline status change event!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 3530
[task 2017-07-17T19:25:49.674343Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: A runnable was posted to a worker that is already shutting down!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2840
[task 2017-07-17T19:25:49.675179Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: Failed to dispatch offline status change event!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 3530
[task 2017-07-17T19:25:49.675997Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: A runnable was posted to a worker that is already shutting down!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2840
[task 2017-07-17T19:25:49.676817Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: Failed to dispatch offline status change event!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 3530
[task 2017-07-17T19:25:49.677609Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: A runnable was posted to a worker that is already shutting down!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2840
[task 2017-07-17T19:25:49.678420Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: Failed to dispatch offline status change event!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 3530
[task 2017-07-17T19:25:49.679212Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: A runnable was posted to a worker that is already shutting down!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2840
[task 2017-07-17T19:25:49.680028Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: Failed to dispatch offline status change event!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 3530
[task 2017-07-17T19:25:49.680830Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: A runnable was posted to a worker that is already shutting down!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2840
[task 2017-07-17T19:25:49.681621Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: Failed to dispatch offline status change event!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 3530
[task 2017-07-17T19:25:49.682449Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: A runnable was posted to a worker that is already shutting down!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2840
[task 2017-07-17T19:25:49.684607Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: Failed to dispatch offline status change event!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 3530
[task 2017-07-17T19:25:49.685969Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: A runnable was posted to a worker that is already shutting down!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 2840
[task 2017-07-17T19:25:49.690563Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: Failed to dispatch offline status change event!: file /home/worker/workspace/build/src/dom/workers/WorkerPrivate.cpp, line 3530
[task 2017-07-17T19:25:49.766631Z] 19:25:49     INFO - PID 13456 | [Child 13504] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /home/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 1040
[task 2017-07-17T19:25:49.767915Z] 19:25:49     INFO - PID 13456 | 


Also I found the logs show that it looks like there's some crash

 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost

In this test, there should be some errors thrown, however I think the crash has made the (error) events lost and cause the unexpected OK.

Anyway, I think I could fix the error and make this test PASS
Attached patch Patch.Splinter Review
Attachment #8893337 - Flags: review?(bugs)
Attachment #8893337 - Flags: review?(bugs) → review+
https://hg.mozilla.org/mozilla-central/rev/21cd6c46b517
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla57
https://hg.mozilla.org/releases/mozilla-beta/rev/58a56b524b5e
Flags: in-testsuite+
Whiteboard: [stockwell needswork:DOM] → [stockwell fixed:DOM]
(In reply to OrangeFactor Robot from comment #30)
> 19 failures in 888 pushes (0.021 failures/push) were associated with this
> bug in the last 7 days.   
> 
> Repository breakdown:
> * autoland: 13
> * mozilla-inbound: 4
> * try: 1
> * mozilla-central: 1
> 
> Platform breakdown:
> * windows7-32: 11
> * macosx64-stylo: 4
> * osx-10-10: 1
> * linux64-stylo: 1
> * linux64: 1
> * linux32: 1
> 
> For more details, see:
> https://brasstacks.mozilla.com/orangefactor/
> ?display=Bug&bugid=1340974&startday=2017-07-31&endday=2017-08-06&tree=all

This bug is laned on 8/5, and this orangefactor recorded from 7/31~8/6, and after checking the orangefactor, after 8/5, the number of failures is 0
(but maybe because it's on the weekend)
I'll check this again if we still have intermittents next week.
You need to log in before you can comment on or make changes to this bug.